Skip to main content
GET
Get a single invoice by ID

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Path Parameters

invoice_id
string
required

The unique identifier of the invoice

Response

A single invoice

id
string

The unique identifier of the invoice

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

billing_entity_code
string

Unique code used to identify the billing entity. Must contain only alphanumeric characters, underscores, and hyphens.

Pattern: ^[a-zA-Z0-9_-]*$
Example:

"acme_inc"

sequential_id
integer

Sequential ID of the invoice, unique within the billing entity.

Example:

3

status
enum<string> | null

Status of the invoice

Available options:
DRAFT,
FINALIZED
Example:

"FINALIZED"

payment_status
enum<string>

Status of invoice payment

Available options:
PENDING,
FAILED,
SUCCEEDED
Example:

"PENDING"

amount
object

Total amount due for the invoice, including breakdown of fees, taxes, and discounts.

Example:
fees
object[]
due_date
string<date>

Due date for the invoice payment

Pattern: ^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$
Example:

"2023-01-15"

issued_date
string<date>

Date when the invoice was issued

Pattern: ^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$
Example:

"2023-01-01"

invoice_number
string

Invoice number, unique within the billing entity.

Example:

"INV-2023-001"

version_number
string<number>

Version number of the invoice, indicating the revision of the invoice.

Example:

"INV-2023-001"

payment_overdue
boolean

Indicates whether the invoice payment is overdue.

Example:

false

invoice_type
enum<string> | null

Type of invoice

Available options:
SUBSCRIPTION,
ONE_OFF,
CREDIT
Example:

"SUBSCRIPTION"

customer
Customer · object

A customer represents an individual or organization that can be billed for services. It includes personal information, contact details, and metadata.

billing_period
object[]
created_at
string<date-time>

Timestamp when the invoice was created

Example:

"2023-01-01T00:00:00Z"

updated_at
string<date-time>

Timestamp when the invoice was last updated

Example:

"2023-01-01T00:00:00Z"

applied_taxes
object[]